Bug 9184 - Ordering from staged file in acq should not offer authority records
Summary: Ordering from staged file in acq should not offer authority records
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-01 21:49 UTC by Katrin Fischer
Modified: 2017-06-14 22:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9184: Acq - Don't show authority batches when ordering from staged file (1.43 KB, patch)
2015-11-22 00:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9184: Rename 'Reserve slip' to 'Hold slip' (5.51 KB, patch)
2015-11-22 00:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 9184: Acq - Don't show authority batches when ordering from staged file (1.52 KB, patch)
2015-11-26 01:25 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 9184: Acq - Don't show authority batches when ordering from staged file (1.58 KB, patch)
2015-12-01 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-12-01 21:49:20 UTC
To reproduce:

1) Stage an authority file 
2) Create a new basked in acquisitions
3) Create a new order line by selecting "From a staged file"
4) Check if the list of staged files includes the uploaded authority file
Comment 1 Katrin Fischer 2015-11-22 00:23:22 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-11-22 00:36:09 UTC Comment hidden (obsolete)
Comment 3 Héctor Eduardo Castro Avalos 2015-11-26 01:25:18 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-12-01 14:20:29 UTC
Created attachment 45266 [details] [review]
Bug 9184: Acq - Don't show authority batches when ordering from staged file

When ordering from a staged file, the list of files
should only include imports of bilbiographic and
no authority data.

To test - start without the patch:
1) Stage an authority file
2) Stage a bilbiographic file
3) Create a new basked in acquisitions
4) Create a new order line selecting "From a staged file"
5) Verify that both files are shown
6) Apply patch
7) Verify that only the bibliographc file shows
   in the list now

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2015-12-11 15:40:16 UTC
Pushed to master! Thanks Katrin!
Comment 6 Julian Maurice 2015-12-11 16:31:22 UTC
Patch pushed to 3.22.x, will be in 3.22.1
Comment 7 Frédéric Demians 2015-12-11 17:13:42 UTC
This patch has been pushed to 3.20.x, will be in 3.20.7.